package javadevblog.com.swiperefreshlayoutapp;

import android.content.Context;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import android.widget.Toast;

import java.util.List;

public class Adapter extends RecyclerView.Adapter<RecyclerView.ViewHolder> {
    private Context mContext;
    private List<String> mDataList;

    public Adapter(Context context, List<String> dataList) {
        mContext = context;
        mDataList = dataList;
    }

    @Override
    public RecyclerView.ViewHolder onCreateViewHolder(final ViewGroup parent, final int viewType) {
        LayoutInflater inflater = LayoutInflater.from(mContext);

        final View view = inflater.inflate(R.layout.item_row, parent, false);

        return new VHolder(view);
    }

    @Override
    public void onBindViewHolder(RecyclerView.ViewHolder viewHolder, int position) {

        String itemAtPosition = mDataList.get(position);
        VHolder vHolder = (VHolder) viewHolder;

        vHolder.mTextViewResult.setText(itemAtPosition);
    }

    @Override
    public int getItemCount() {
        return mDataList.size();
    }

    /**
     * Добавляем в существующий список какую-то строку
     * @param randomElement - строка, которую нужно добавить в адаптер
     */
    public void addRandomElement(String randomElement) {
        mDataList.add(randomElement);
        notifyDataSetChanged();
    }

    public class VHolder extends RecyclerView.ViewHolder implements View.OnClickListener {

        public TextView mTextViewResult;

        public VHolder(View view) {
            super(view);
            mTextViewResult = (TextView) view.findViewById(R.id.tv_row);

            view.setOnClickListener(this);
        }

        @Override
        public void onClick(View view) {
            Toast.makeText(mContext, "Был нажат элемент " + getAdapterPosition(), Toast.LENGTH_SHORT).show();
        }
    }
}