package javadevblog.com.swiperefreshlayoutapp;

import android.os.Bundle;
import android.support.v4.widget.SwipeRefreshLayout;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class MainActivity extends AppCompatActivity {

    private Adapter mAdapter;
    private RecyclerView mRecyclerView;
    private SwipeRefreshLayout mSwipeRefreshLayout;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        // инициализируем контейнер SwipeRefreshLayout
        mSwipeRefreshLayout = (SwipeRefreshLayout) findViewById(R.id.srl_container);

        // инициализируем список
        mRecyclerView = (RecyclerView) findViewById(R.id.rv_list);
        mRecyclerView.setLayoutManager(new LinearLayoutManager(this));

        // инициализируем адаптер с данными
        mAdapter = new Adapter(MainActivity.this, getFakeData());
        mRecyclerView.setAdapter(mAdapter);

        // указываем слушатель свайпов пользователя
        mSwipeRefreshLayout.setOnRefreshListener(new SwipeRefreshLayout.OnRefreshListener() {
            @Override
            public void onRefresh() {
                // добавляем в спиок рандомную строку
                String randomElement = new Random().nextInt(100) + " - это новый элемент";
                // метод срабатывает по свайпу
                mAdapter.addRandomElement(randomElement);
                // указываем, что мы уже сделали все, что нужно было
                // убираем стандартную анимацию
                mSwipeRefreshLayout.setRefreshing(false);
            }
        });
    }

    /**
     * Метод создает список со строками типа "N-й элемент списка"
     *
     * @return
     */
    private List<String> getFakeData() {
        List<String> listOfStrings = new ArrayList<>();
        for (int i = 0; i < 10; i++) {
            listOfStrings.add(i + " элемент списка");
        }
        return listOfStrings;
    }
}
